This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 459215 - Review Request: freetds-devel - provides freetds header files
Review Request: freetds-devel - provides freetds header files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 22:18 EDT by Andy Theuninck
Modified: 2008-08-15 22:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-15 01:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Theuninck 2008-08-14 22:18:20 EDT
Spec URL: http://gohanman.com/rpm/Fedora9/freetds-devel/freetds-devel.spec
SRPM URL: http://gohanman.com/rpm/Fedora9/freetds-devel/freetds-devel-0.64-1.fc9.src.rpm
Description: Provides headers not included in the current freetds package. Useful for compiling programs that rely on freetds (e.g., perl & python Sybase modules; custom build of php w/ mssql support).
Comment 1 Andy Theuninck 2008-08-14 22:19:28 EDT
Forgot to mention, first submission. In need of sponsor.
Comment 2 Dan Horák 2008-08-15 01:38:12 EDT
If there is something wrong with the existing freetds-devel (look at http://sunsite.mff.cuni.cz/MIRRORS/fedora.redhat.com/linux/development/i386/os/Packages/ for the whole package collection or run "yum install freetds-devel" on your workstation if you need it) package, then you should file a bug against freetds.
Comment 3 Andy Theuninck 2008-08-15 10:15:48 EDT
yum install freetds-devel doesn't work. It's not in the non-dev repos. In fact, the freetds package in the regular repos is a 3-year old version of the library.

How do I see the history or status of this package - find out why it isn't available? A bugzilla search of 'freetds' doesn't turn up anything useful.

The fedora package db (https://admin.fedoraproject.org/pkgdb/packages/) is currently down w/ a 500 error, but when I looked yesterday freetds-devel wasn't in there.
Comment 4 Dan Horák 2008-08-15 12:27:46 EDT
freetds-devel exists in all recent versions = F-8, F-9 and Rawhide, what system are running? But I agree that there is an old version (0.64) in F-8 and F-9. Just file a bug asking the maintainer to update to the latest version.

The whole package history is available via CVS and browseable at http://cvs.fedoraproject.org/viewcvs/rpms/freetds/
The "binary" freetds-devel package is not a standalone package, it is created along with "binary" freetds from one source freetds package, so it cannot be found in pkgdb.
Comment 5 Andy Theuninck 2008-08-15 12:36:52 EDT
Hmmm. I'm running F9 and installing from yum gives me the old version (0.64). yum search freetds doesn't show -devel or -doc packages, but I guess that could be an artifact of them not being standalone packages.
Comment 6 Dan Horák 2008-08-15 13:10:42 EDT
Hmm, I can see the -devel and -doc packages when doing "yum search freetds" on my F-8. Just try it later, there are some troubles now with some of the Fedora servers.
Comment 7 Andy Theuninck 2008-08-15 22:02:54 EDT
Weird. It's there today (albeit still 0.64).

Note You need to log in before you can comment on or make changes to this bug.